html {
  scroll-behavior: smooth;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  width: 100%;
  height: auto;
  /* font-size: 18px; */
  font-family: "Raleway", sans-serif;
}
h2{
  font-size: calc(1.325rem + 2vw);
}
/*Pruebas*/
/* Títulos Responsivos */
.responsive-Titletext {
  font-size: 2.5rem; /* Ajusta el tamaño del texto según el ancho de la ventana */
  line-height: 1;
}

/* Subtítulos Responsivos */
.responsive-subtitle {
  font-size: 7.5vw; /* Ajusta el tamaño del texto según el ancho de la ventana */
}

/* Párrafos */
p {
  font-size: 1.1rem; /* 16px tamaño base */
  line-height: 1.5;
}
li{
  font-size: 1rem; /* 16px tamaño base */
  line-height: 1.5;
}

/* Texto en Negrita */
b, strong {
  font-weight: 800;
}

/* Ajustes de Media Queries para Párrafos y Otros Textos */
@media (max-width: 1200px) {
  p {
    font-size: 1.05rem; /* 14.4px */
  }
  a {
    font-size: 1.05rem; /* 14.4px */
  }
  li{
    font-size: 1.1rem; /* 16px tamaño base */
    line-height: 1.5;
  }
}

@media (max-width: 992px) {
  p {
    font-size: 2.01rem; /* 13.6px */
  }
  a {
    font-size: 0.96rem; /* 13.6px */
  }
  li{
    font-size: 1.99rem; /* 16px tamaño base */
    line-height: 1.5;
  }
}

@media (max-width: 768px) {
  p {
    font-size: 0.9rem; /* 12.8px */
  }
  a {
    font-size: 0.9rem; /* 12.8px */
  }
  li{
    font-size: 1.1rem; /* 16px tamaño base */
    line-height: 1.5;
  }
}

@media (max-width: 576px) {
  p {
    font-size: 1rem; /* 12px */
  }
  a {
    font-size: 1rem; /* 12px */
  }
  li{
    font-size: 1.1rem; /* 16px tamaño base */
    line-height: 1.5;
  }
}

/*Separador de titulos*/
#title-text-separator {
  width: 10%;
  margin-top: 1%;
  border: solid 1px rgb(33, 112, 243);
}

.responsive-menu-link {
  color: black;
}

/* ----- General Header CSS ------ */
/*El header se modificó min-height para que no fuera tan amplio el navbar (antes: 100px, luego: 75px)*/
#header {
  position: fixed;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
  margin: auto;
  font-size: 19px;
  min-height: 75px;/*<--- Aquí está la modificación.*/
}

/* Normal Header */

.active-header {
  background-color: white;
  color: black;
}

.menu-link {
  color: white;
}

.active-menu-links {
  color: black;
}

#normal-header {
  position: fixed;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  margin: auto;
  font-size: 19px;
  min-height: 50px;
  /*Sombra inferior para diferenciar el navbar*/
  box-shadow: 0 6px 2px -2px rgba(0, 0, 0, 0.08)
}
#imgBlur{
  background-size: cover; 
  background-position: center; 
  filter: blur(10px); 
  z-index: -1; 
}
/*Estilo para las dimensiones del logo del header*/
.img-fluid {
  max-width: 50%;
  height: auto;
}

#header-img {
  width: 250px;
  margin-left: 15%;
}

/*#nav-bar {
}*/

#nav-bar ul {
  list-style: none;
  display: flex;
  flex-flow: row;
  margin-bottom: 0rem;
}

#nav-bar li {
  padding: 10px;
  margin: 12px;
}

#nav-bar ul, a {
  text-decoration: none;
}

/* Responsive Header */

#responsive-header {
  display: none;
}

#image-button-black {
  display: none;
  border: none;
}

#image-button-black:hover {
  cursor: pointer;
}

#image-button-black:focus {
  outline: 0;
}

/*Sección Contactanos*/
/*--------------------------------------------------------------
# Contact
--------------------------------------------------------------*/
.contact .info-wrap {
  box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.1);
  padding: 30px;
}
.contact .info {
  background: #fff;
}
.contact .info i {
  font-size: 24px;
  color: #2170F3;
  float: left;
  width: 48px;
  height: 48px;
  background: #e2faff;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
  transition: all 0.3s ease-in-out;
}
.contact .info h4 {
  padding: 0 0 0 60px;
  font-size: 22px;
  font-weight: 600;
  margin-bottom: 5px;
  color: #354144;
}
.contact .info p {
  padding: 0 0 0 60px;
  margin-bottom: 0;
  font-size: 14px;
  color: #62787d;
}
.contact .info:hover i {
  background: #2170F3;
  color: #fff;
}
.contact .php-email-form {
  width: 100%;
  box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.12);
  padding: 30px;
  background: #fff;
}
.contact .php-email-form .form-group {
  padding-bottom: 8px;
}
.contact .php-email-form .error-message {
  display: none;
  color: #fff;
  background: #ed3c0d;
  text-align: left;
  padding: 15px;
}
.contact .php-email-form .error-message br + br {
  margin-top: 25px;
}
.contact .php-email-form .sent-message {
  display: none;
  color: #fff;
  background: #18d26e;
  text-align: center;
  padding: 15px;
  font-weight: 600;
}
.contact .php-email-form .loading {
  display: none;
  background: #fff;
  text-align: center;
  padding: 15px;
}
.contact .php-email-form .loading:before {
  content: "";
  display: inline-block;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  margin: 0 10px -6px 0;
  border: 3px solid #18d26e;
  border-top-color: #eee;
  -webkit-animation: animate-loading 1s linear infinite;
  animation: animate-loading 1s linear infinite;
}
.contact .php-email-form input, .contact .php-email-form textarea {
  border-radius: 0;
  box-shadow: none;
  font-size: 14px;
}
.contact .php-email-form input {
  height: 44px;
}
.contact .php-email-form textarea {
  padding: 10px 12px;
}
.contact .php-email-form button[type=submit] {
  background: #2170F3;
  border: 0;
  padding: 10px 24px;
  color: #fff;
  transition: 0.4s;
  border-radius: 4px;
}
.contact .php-email-form button[type=submit]:hover {
  background: #0dd3fe;
}
@-webkit-keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
/*Sección Contactanos*/
/*Botón de whatsapp*/
.btnWhatsapp {
  position: fixed;
  width: 50px;
  height: 50px;
  bottom: 30px;
  /*line-height: 50px;*/
  /* right: 20px; */
  left: 20px;
  background: #00E676;
  color: #ffffff;
  border-radius: 50px;
  text-align: center;
  font-size: 30px;
  box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.3);
  z-index: 100;
}
.bx {
  font-family: boxicons !important;
  font-weight: 400;
  font-style: normal;
  font-variant: normal;
  line-height: 1;
  text-rendering: auto;
  display: inline-block;
  text-transform: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.info i {
  font-size: 2rem; /* Ajusta el tamaño del icono según sea necesario */
  color: #333; /* Color inicial del icono */
  transition: color 0.3s ease-in-out; /* Transición suave */
}

.info:hover i {
  color: #2170F3; /* Color del icono al pasar el ratón */
}

/*Footer - Pie de página*/

/* Estilos generales para el pie de página */
#footer {
  background: #2a3336;
  color: white;
  padding: 30px 0;
  font-size: 14px;
}

/* Estilo para el logo */
#footer .footer-info img {
  max-width: 100px;
  height: auto;
}

/* Estilo para la información de contacto */
#footer .footer-info p {
  margin: 10px 0 0 0;
  line-height: 1.8;
}

/* Estilo para los títulos de las secciones */
#footer h4 {
  font-size: 16px;
  font-weight: bold;
  color: #fff;
  position: relative;
  padding-bottom: 12px;
}

#footer h4::before {
  content: '';
  position: absolute;
  display: block;
  width: 50px;
  height: 2px;
  background: #2170F3;
  bottom: 0;
  left: 0;
}

/* Estilo para los enlaces */
#footer a {
  color: #fff;
  transition: 0.3s;
}

#footer a:hover {
  color: #2170F3;
  text-decoration: none;
}

/* Estilo para las listas de enlaces */
#footer .footer-links ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

#footer .footer-links ul li {
  padding: 10px 0;
  display: flex;
  align-items: center;
}

#footer .footer-links ul li i {
  font-size: 18px;
  margin-right: 10px;
  color: #2170F3;
}

/* Estilo para los iconos de redes sociales */
#footer .social-links a {
  font-size: 18px;
  display: inline-block;
  background: #2170F3;
  color: #fff;
  line-height: 1;
  padding: 8px 0;
  margin-right: 4px;
  border-radius: 50%;
  text-align: center;
  width: 36px;
  height: 36px;
  transition: 0.3s;
}

#footer .social-links a:hover {
  background: #2170F3;
}

/* Estilo para la sección de derechos de autor */
#footer .copyright {
  text-align: center;
  padding-top: 30px;
}

#footer .credits {
  text-align: center;
  font-size: 13px;
  color: #fff;
}

/* Estilo para la newsletter */
#footer .footer-newsletter p {
  font-size: 14px;
  line-height: 24px;
  margin: 0;
  padding: 0;
}


/*Footer - Pie de página*/

/* ----- Hero Header CSS -----

Tags included:

1. hero-header - main container of the Hero

2. hero-content - the container of the title and description within the hero Section

3. hero-title - the title within the hero section

4. hero-text - the text within the hero section

5. hero-button - the button within the hero section

*/

#hero-header {
  /* width: 100vw; */
  height: 100vh;
  box-shadow: 3px 3px 2px #bebebe;

  /* hero-header flexbox */
  display: flex;
  justify-content: center;
  align-items: center;

  /* Texy style */
  text-align: center;
  color: white;

  /* Background image */
  /*0.8 es para el degradado que quiero que tenga la imagen de fondo*/
  background-image: linear-gradient(rgba(134, 134, 134, 0.8),rgba(0, 0, 0, 0.8)), url(./img/fondoOffice.jpg);
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  
}

#hero-title {
  font-size: 3.5em;
}

#hero-text {
  font-size: 1.3em;
  margin-top: 2%;
}

#hero-button {
  border: solid 2px white;
  background-color: inherit;
  color: white;
  margin-top: 6%;
  width: 25%;
  height: 55px;
  font-size: 15px;
  border-radius: 10px;
}

#hero-button:hover {
  cursor: pointer;
}
/*Sección de servicios*/
.icon-box {
  padding: 30px;
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  background: #fff;
  box-shadow: 0 2px 29px 0 rgba(68, 88, 144, 0.12);
  transition: all 0.4s ease-in-out;
  width: 100%;
  height: 100%;

  /*Esto es para el estilo de la sombra*/
  transition: filter 0.3s ease; 
}
.icon-box p{
  color: black;
}
.icon-box:hover{
  background-color: #ffffff;
  filter: drop-shadow(10px 10px 20px rgba(36, 36, 36, 0.5));
}
.icon-box:hover h2{
  color: blue;
}

/*Hover Botones Galería*/
.btnGalery:hover button{
  background-color: rgb(255, 0, 0);
  filter: drop-shadow(10px 10px 20px rgba(71, 194, 255, 0.486));
}
/*Modal s*/
.btn-subir-doc {
  background-color: #2170F3;
  color: #ffffff;
  border-color: #ffffff;
}
.btn-subir-doc:hover {
  background-color: #ffffff;
  color: #2170F3;
  border-color: #2170F3
  
}

.dropify-wrapper {
  position: relative;
  background-color: white; /* Fondo blanco predeterminado */
  border: 2px dashed #d6d6d6;
  transition: background-color 0.3s ease; /* Transición suave */
}

.dropify-wrapper:hover {
  background: repeating-linear-gradient(
      -45deg,
      #e0e0e0,
      #e0e0e0 10px,
      #f5f5f5 10px,
      #f5f5f5 20px
  ); /* Fondo con rayas diagonales al pasar el cursor */
}

.dropify-wrapper .dropify-message p {
  margin: 0;
  line-height: 1.5;
}

/* ----- Main Content CSS -----
Tags included:

1. features-container - the main container wrapping the "features" elements

2. features-description - container wrapping the title and the description

3. features-title - the main title of the Features

4. features-separator - the line that separates the title from the Description

5. features-text - the main describing the features and services

6. service-features - container wrapping all 4 services

7. feature - the common id applied to the container of all the 4 services

8. feature img - the styling of each image belonging to each feature

9. feature-title - the common id applied to the title of each feature

10. feature p - the styling of each paragraph belonging to each feature

11. feature-button - the common id applied to the button of each feature

12. feature-button:hover - the ":hover" styling of each button

*/

#features-container {
  box-shadow: 2px 2px 15px #bebebe;
  
  padding: 2%;
}

#service-features {
  display: flex;
  flex-direction: row;
  /* Change flow-direction to "column" in the responsive design for the features to stack
  one on top of another. */
  justify-content: space-around;
  margin-top: 2%;
  padding-bottom: 3%;
}

#features-description {
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin: auto;
  margin-top: 2%;
  padding: 1%;
  display: flex;
  width: 60%;
}
h1{
  font-family: "Raleway", sans-serif;
  font-weight: 700;
  font-size: 48px;
  line-height: 60px;
  margin-bottom: 20px;
  text-transform: uppercase;
}

#feature {
  width: 20%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border: solid 1px #bebebe;
  box-shadow: 1px 2px 15px #bebebe;
}

#feature img {
  max-width: 30%;
  max-height: 30%;
  padding-top: 5%;
}

#feature-title {
  margin-top: 5%;
}

#feature-button {
  border: none;
  margin-top: 30%;
  width: 12vh;
  height: 5vh;
  border-radius: 15px;
  background-color: #ff5a6e;
  color: white;
  font-size: 16px;
  margin-bottom: 20%;
}

#feature-button:hover {
  background-color: #ff7b8b;
  cursor: pointer;
}


/* Footer Section */

footer {
  box-shadow: 1px 2px 15px #bebebe;
  margin-top: 4%;
  color: #858585;
  text-align: center;
}

footer p {
  padding: 0.5%;
}

/* @Media min-width: 480px */
@media only screen and (min-width : 200px) and (max-width : 860px) {

  /* General Elements */

  #title-text-separator {
    width: 15%;
    margin-top: 3%;
    margin-bottom: 3%;
    border: solid 1px #ff5a6e;
  }

  /* Navigation CSS */
  #header {
    background: white;
    position: fixed;
    display: flex;
    flex-wrap: wrap;
    flex-flow: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    min-height: 80px;
    margin: auto;
  }
  #normal-header {
    display: none;
  }

  #responsive-header {
    display: flex;
    flex-flow: column;
    width: 100%;
    margin: auto;
    /*Prueba sombra header*/
    box-shadow: 0 6px 2px -2px rgba(0, 0, 0, 0.08)
  }

  #responsive-logo-button {
    display: flex;
    justify-content: space-between;
    padding: 1% 0 1% 0;
  }

  #responsive-nav-bar {
    display: flex;
    flex-flow: column;
    align-items: center;
  }

  #responsive-nav-bar ul {
    list-style: none;
  }

  #responsive-nav-bar li {
    text-align: center;
    font-size: 23px;
    margin-top: 40%;
  }

  #responsive-first-item {
    margin-top: 0;
    padding: 0;
  }

  #header-img-black {
    margin-left: 5%;
    margin-top: 3%;
    width: 50%;
    height: auto;
  }

  #dropdown-button-black {
    display: block;
    width: 55%;
    height: auto;
    margin: 0;
    padding: 0;
  }


  #image-button-black {
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: inherit;
    padding: 2%;
  }

  /* Hero CSS */

  #hero-header {
    width: auto;
    height: 120vh;

    /* hero-header flexbox */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

    /* Texy style */
    text-align: center;
    color: white;

    /* Background image */
    background-image: linear-gradient(rgba(0, 0, 0, 0.5),rgba(0, 0, 0, 0.5)), url(./img/slide/slide-1.jpg);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
  }

  #hero-title {
    font-size: 3.5em;
  }

  #hero-text {
    font-size: 1.3em;
    margin-top: 2%;
  }

  #hero-button {
    border: solid 2px white;
    background-color: inherit;
    color: white;
    margin-top: 6%;
    width: 25%;
    height: 55px;
    font-size: 15px;
    border-radius: 10px;
  }

  #hero-button:hover {
    cursor: pointer;
  }

  /*--------------------------------------------*/
  /* Presentation Section CSS */


  /* Footer Section */

  footer {
    margin-top: 10%;
  }

}

@media only screen and (min-width : 860px) and (max-width : 1280px) {
    /* Navigation CSS */
    #header {
      background: white;
      position: fixed;
      display: flex;
      flex-wrap: wrap;
      flex-flow: row;
      justify-content: space-between;
      align-items: center;
      width: 100%;
      min-height: 80px;
      margin: auto;
    }



    #normal-header {
      display: none;
    }

    #responsive-header {
      display: flex;
      flex-flow: column;
      width: 100%;
      margin: auto;
      /*Prueba sombra header*/
      box-shadow: 0 6px 2px -2px rgba(0, 0, 0, 0.08)
    }

    #responsive-logo-button {
      display: flex;
      justify-content: space-between;
      padding: 1% 0 1% 0;
    }

    #responsive-nav-bar {
      display: flex;
      flex-flow: column;
      align-items: center;
    }

    #responsive-nav-bar ul {
      list-style: none;
    }

    #responsive-nav-bar li {
      text-align: center;
      font-size: 23px;
      margin-top: 40%;
    }
    #responsive-nav-bar a {
      text-align: center;
      font-size: 2.02rem;
      margin-top: 40%;
    }

    #responsive-first-item {
      margin-top: 0;
      padding: 0;
    }

    #header-img-black {
      margin-left: 5%;
      margin-top: 3%;
      width: 50%;
      height: auto;
    }

    #dropdown-button-black {
      display: block;
      width: 55%;
      height: auto;
      margin: 0;
      padding: 0;
    }


    #image-button-black {
      border: none;
      display: flex;
      justify-content: center;
      align-items: center;
      background-color: inherit;
      padding: 2%;
    }


  /* Hero CSS */

  #hero-header {
    width: auto;
    height: 120vh;

    /* hero-header flexbox */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

    /* Texy style */
    text-align: center;
    color: white;

    /* Background image */
    background-image: linear-gradient(rgba(0, 0, 0, 0.5),rgba(0, 0, 0, 0.9)), url(./img/slide/slide-1.jpg);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
  }

  #hero-title {
    font-size: 3.5em;
  }

  #hero-text {
    font-size: 1.3em;
    margin-top: 2%;
  }

  #hero-button {
    border: solid 2px white;
    background-color: inherit;
    color: white;
    margin-top: 6%;
    width: 25%;
    height: 55px;
    font-size: 15px;
    border-radius: 10px;
  }

  #hero-button:hover {
    cursor: pointer;
  }



  /* Service Features CSS */

  #service-features {
    display: flex;
    flex-flow: row;
    /* Change flow-direction to "column" in the responsive design for the features to stack
    one on top of another. */
    justify-content: space-around;
    flex-wrap: wrap;
    align-items: center;
    margin-top: 2%;
  }

  #features-description {
    width: 90%;
  }

  #feature {
    width: 30%;
    text-align: center;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    border: solid 1px #bebebe;
    box-shadow: 1px 2px 15px #bebebe;
    margin-top: 10%;
  }

  #feature-button {
    border: none;
    margin-top: 30%;
    width: 15vh;
    height: 5vh;
    border-radius: 15px;
    background-color: #ff5a6e;
    color: white;
    font-size: 16px;
    margin-bottom: 20%;
  }




  /* Presentation Section CSS */

  #presentation-container {
    margin-top: 5%;
    width: 80%;
    margin: auto;
  }

  #presentation-title-description {
    width: 90%;
  }

  #section-buttons {
    margin-top: 5%;
  }

  #section-content-container {
    margin: auto;
    width: 90%;
  }

  #section-content-container {
    margin-top: 7%;
  }

  .product-button {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 40%;
    padding: 15px;
  }

  .product-content {
    display: flex;
    flex-flow: column;
    padding: 2%;
  }

  #content-image {
    width: 100%;
    height: 100%;
  }

  #content-image-container {
    display: flex;
    justify-content: center;
    width: 100%;
  }

  #content-title-text {
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: flex-start;
    width: 100%;
    margin: auto;
    margin-top: 5%;
  }

  #content-title-text h1 {
    margin: auto;
  }

  #centered-product-description {
    text-align: center;
  }

  #content-title-text p {
    margin-top: 5%;
  }

  #product-feature-image {
    justify-content: center;
    align-items: center;
    width: 8%;
  }

  .product-features-list {
    margin-top: 15%;
  }

  #first-feature-list {
    margin-top: 10%;
  }

  #content-button {
    margin: auto;
    margin-top: 10%;
    width: 35%;
  }

  /* Email Section CSS */

  #newsletter-container {
    margin-top: 10%;
  }

  #newsletter-title-description {
    width: 90%;
  }

  #email-form label {
    width: 90%;
    text-align: center;
  }

  #email {
    width: 80%;
  }

}